IdeaContentRoot (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.tooling.model.idea

## Interface IdeaContentRoot

-     public interface IdeaContentRoot

  Contains content root information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<File>` | `getExcludeDirectories()` The set of excluded directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getGeneratedSourceDirectories()` The set of generated source directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getGeneratedTestDirectories()` The set of generated test directories.
    `File` | `getRootDirectory()` The content root directory.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getSourceDirectories()` The set of source directories.
    `DomainObjectSet<? extends IdeaSourceDirectory>` | `getTestDirectories()` The set of test source directories.

- - ### Method Detail

    - #### getRootDirectory

          File getRootDirectory()

      The content root directory.

    - #### getSourceDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getSourceDirectories()

      The set of source directories.

    - #### getGeneratedSourceDirectories

          @Incubating
          DomainObjectSet<? extends IdeaSourceDirectory> getGeneratedSourceDirectories()

      The set of generated source directories. This is a subset of those directories returned by `getSourceDirectories()`.
      Since:
        2.2

    - #### getTestDirectories

          DomainObjectSet<? extends IdeaSourceDirectory> getTestDirectories()

      The set of test source directories.

    - #### getGeneratedTestDirectories

          @Incubating
          DomainObjectSet<? extends IdeaSourceDirectory> getGeneratedTestDirectories()

      The set of generated test directories. This is a subset of those directories returned by `getTestDirectories()`.
      Since:
        2.2

    - #### getExcludeDirectories

          Set<File> getExcludeDirectories()

      The set of excluded directories.